DimensionLineExtend Example |
Using Programming Languages other than VBA
Sub Example_DimensionLineExtend() ' This example creates an aligned dimension in model space and ' uses DimensionLineExtend to specify the distance the dimension ' line extends beyond the extension line when oblique strokes are ' drawn instead of arrowheads Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 10.123: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) dimObj.Arrowhead1Type = acArrowOblique dimObj.Arrowhead2Type = acArrowOblique ThisDrawing.Application.ZoomAll MsgBox "A new Dimension has been created. Press any key to extend the dimension lines." ' Round the distance of the alternate dimension to 0.50 of a unit dimObj.DimensionLineExtend = 2 ThisDrawing.Regen acAllViewports MsgBox "The dimension lines have been extended to: " & dimObj.DimensionLineExtend End Sub
Comments? |